This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 31802

Summary: PropertySheetTab.getToolTipTextForProperty() breaks HTML ToolTips for properties
Product: platform Reporter: schnake <schnake>
Component: ExplorerAssignee: _ tboudreau <tboudreau>
Status: VERIFIED FIXED    
Severity: blocker CC: pkeegan
Priority: P4    
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on: 29447    
Bug Blocks:    

Description schnake 2003-03-09 14:23:49 UTC
Hi,

the method
PropertySheetTab.getToolTipTextForProperty()
prepends a "Read/Write-Indicator" (like "(r/w) ")
to the shortDescription obtained from the given
Node.Property.

Unfortunaly this makes it impossible to have
HTML-formatted descriptions displayed correctly
(e.g. "<html><b>My</b> property</html>" becomes
"(r/w) <html><b>My</b> property</html>").

"Branding-away" by setting the prefix strings from
Bundle.properties (CTL_Property_Read_Yes etc.) to
empty does not solve the problem, too, as the code
still prepends a "hardcoded" space character.

So, either the short description should be
"decorated" in a HTML-sensitive manner, or not at all.

This one hurts a bit, since inserting "<br>" using
HTML formatting is currently the only way i am
aware of to have tooltips longer than a few words
be "readable" displayed in NetBeans.
Comment 1 _ tboudreau 2003-03-26 15:30:49 UTC
Adding to property sheet rewrite umbrella - PropertySheetTab will
be gone, as will the "(r/w)".
Comment 2 Patrick Keegan 2003-04-25 16:36:55 UTC
Cc'ing myself since we *might* be interested in eventually using
multi-line tooltips in some places.
Comment 3 _ tboudreau 2003-07-16 19:44:48 UTC
Fixed - new property sheet committed.  No more "(r/w)" in
tooltips.
Comment 4 Marian Mirilovic 2005-07-13 13:26:52 UTC
closed